Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.security
Class InfoStore

    java.lang.Object
      |
      +--com.compoze.security.InfoStore

All Implemented Interfaces:
  java.io.Serializable

public class InfoStore
extends java.lang.Object
implements java.io.Serializable

This class represents an information store. An information store designates which data source is used for the associated user.

In addition to the data source, the info store also holds the database user and password when making a database connection. This information is ONLY required when using the J2EE RI 1.2.x application server and is otherwise ignored.

See Also:
  `User.getInfoStore()`, `User.setInfoStore(InfoStore)`, Serialized Form

Method Summary
`java.lang.String` | `getDataSource()` Gets the data source.
`java.lang.String` | `getDbPassword()` Gets the database user's password.
`java.lang.String` | `getDbUser()` Gets the database user.
`static InfoStore` | `getDefault()` Gets the default info store.
`static InfoStore` | `getInfoStore(java.lang.String sDataSource)` Gets an info store with the specified data source.
`static InfoStore` | `getInfoStore(java.lang.String sDataSource, java.lang.String sDbUser, java.lang.String sDbPassword)` Gets an info store with the specified data source, user and password.
`java.lang.String` | `toString()` Returns a string representation of this user.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getDefault

    public static InfoStore getDefault()

  Gets the default info store.
  Returns:
    the default info store

### getInfoStore

    public static InfoStore getInfoStore(java.lang.String sDataSource)

  Gets an info store with the specified data source. The user and password are default for J2EE application server.
  Parameters:
    `sDataSource` - the data source (may not be `null`)

### getInfoStore

    public static InfoStore getInfoStore(java.lang.String sDataSource,
                                         java.lang.String sDbUser,
                                         java.lang.String sDbPassword)

  Gets an info store with the specified data source, user and password.
  Parameters:
    `sDataSource` - the data source (may not be `null`)
    `sDbUser` - the database user on whose behalf the connection will be made (J2EE RI 1.2.x only)
    `sDbPassword` - the database user's password (J2EE RI 1.2.x only)

### getDataSource

    public java.lang.String getDataSource()

  Gets the data source.
  Returns:
    the data source

### getDbUser

    public java.lang.String getDbUser()

  Gets the database user. The database user on whose behalf the connection will be made. This property is ONLY used with the J2EE RI 1.2.x application server and is otherwise ignored.
  Returns:
    the database user or `null` if not set

### getDbPassword

    public java.lang.String getDbPassword()

  Gets the database user's password. This property is ONLY used with the J2EE RI 1.2.x application server and is otherwise ignored.
  Returns:
    the database user's password or `null` if not set

### toString

    public java.lang.String toString()

  Returns a string representation of this user.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation of this user

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.